
/*
 *  Copyright (C) 2000, Sealevel Systems
 *   
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  The author may be contacted via email at dalew@sealevel.com.  This is 
 *  NOT a technical support address; contact your vendor for help installing
 *  and configuring the software.
 */

// SIODevice.h: interface for the SIODevice class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SIODEVICE_H__87F21047_1CED_47FC_A5B7_50E97E75B42B__INCLUDED_)
#define AFX_SIODEVICE_H__87F21047_1CED_47FC_A5B7_50E97E75B42B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef LINUX
#include <stdio.h>
#include "seaiostruct.h"
#endif

class SIODevice  
{
public:
	SIODevice();
	virtual ~SIODevice();
	void StopSampling();
	void StartSampling();
	void RunLoop(int i);
	void SaveState();
	void SetAdapterState(DWORD SampleInterval, UCHAR ModeCW[4]);
	void Count(int maxvalue, int delay);
	void Close();
	void Scan(int interval);
	UCHAR ReadAnalog(unsigned long Channel, unsigned long* ChData);
	UCHAR WriteAnalog(unsigned long Channel, unsigned long
			ChData);
	void SetAtoDRange(unsigned long Channel, int Range);
	DWORD Read(PUCHAR pBuff, int BytesToRead);
	UCHAR ReadRelative(UCHAR port);
	UCHAR SetupLoop(UCHAR mode);
	SEAIO_ERROR_CODES WriteRelative(UCHAR port, UCHAR data);
	SEAIO_ERROR_CODES WritePort(UCHAR port, UCHAR data);
	UCHAR ReadPort(UCHAR port);
	SEAIO_ERROR_CODES Open(UCHAR DeviceNumber);
	PUCHAR NotifyChange(PUCHAR pBuffer, DWORD *dwLength);
	ADAPTER_INFO AdapterInfo;
	ADAPTER_STATE AdapterState;

#ifndef LINUX
	CString csEventName;
	OVERLAPPED ovrlpNotify;
	HANDLE hDev;
#else
	int hDev;
#endif
private:
};

#endif // !defined(AFX_SIODEVICE_H__87F21047_1CED_47FC_A5B7_50E97E75B42B__INCLUDED_)
