/*
 *  Copyright (C) 2000, Sealevel Systems
 *   
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  The author may be contacted via email at dalew@sealevel.com.  This is 
 *  NOT a technical support address; contact your vendor for help installing
 *  and configuring the software.
 */
#ifndef __SEAIO_H__
#define __SEAIO_H__
#include "wincompat.h"
#include "seaiostruct.h"
#include <stdio.h>

#ifdef __cplusplus
	extern "C" {
#endif
		
int SeaIo_ReadAnalog(int hDevice, unsigned long Channel,
				unsigned long * Data);
int SeaIo_WriteAnalog(int hDevice, unsigned long Channel,
				unsigned long Data);
int SeaIo_WriteReg(int hDevice, unsigned char bRegNumber,
		   unsigned char bMask);
int SeaIo_ReadReg(int hDevice, unsigned char bRegNumber,
		  unsigned char *pBuffer, unsigned long dwLength,
		  unsigned long *pDwRetLength);
int SeaIo_RelayClose(int hDevice, unsigned char uRelayNum);
int SeaIo_RelayOpen(int hDevice, unsigned char uRelayNum);
int SeaIo_GetData(int hDevice, unsigned char *pBuffer,
		  unsigned long dwLength, unsigned long *pDwRetLength);
int SeaIo_PutData(int hDevice, unsigned char *pBuffer);
int SeaIo_GetAdapterInfo(int hDevice, pADAPTER_INFO pAdapter_Info);
int SeaIo_SetAdapterState(int hDevice, pADAPTER_STATE pAdapterState);
int SeaIo_GetAdapterState(int hDevice, pADAPTER_STATE pAdapterState);
int SeaIo_OpenDevice(unsigned char DeviceNumber, int * phDevice);
int SeaIo_CloseDevice(int hDevice);
int SeaIo_StartInterruptSampling(int hDevice);
int SeaIo_StopInterruptSampling(int hDevice);
int SeaIo_FlushInterruptBuffers(int hDevice);

#ifdef __cplusplus
	}
#endif
#endif
