/*
 *  Copyright (C) 2000, Sealevel Systems
 *   
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  The author may be contacted via email at dalew@sealevel.com.  This is 
 *  NOT a technical support address; contact your vendor for help installing
 *  and configuring the software.
 */
#ifndef __SEAIO_STRUCT_H__
#define __SEAIO_STRUCT_H__
#include "seaiostruct.h"
#define MAXINPUTS 8
#define MAXOUTPUTS 16
#define MAXCONTROL 10
#define MAXICP 4
#define SAMPLE_BUFFER_SIZE 1500
#ifndef LINUX_VERSION_CODE
#define wait_queue_head_t int
#endif

/*
 * Useful Structures
 */
typedef struct _seadevice {
	int model;
	int totalports;
	int readable;
	int writable;
	unsigned int io_base;
	unsigned char io_addr_size;
	unsigned int irq_level;
	int interrupt_control_port[MAXICP];
	int input[MAXINPUTS];
	int output[MAXOUTPUTS];
	int control[MAXCONTROL];
	unsigned long dwSampleInterval;
	unsigned short controlwords[MAXCONTROL];
	unsigned char ucAIRange[MAXAICHANNELS];
	unsigned char readsInverted;
	unsigned char bus_type;
} Seaio_Device, *pSeaio_Device;

typedef struct _seaiostruct {
	Seaio_Device device_info;
	unsigned char io_addr_requested;
	unsigned char irq_requested;
	int use_count;
	char device_name[100];
	unsigned char *ringBuffer;
	unsigned char *readPos;
	unsigned char *writePos;
	wait_queue_head_t readWaitQueue;
	struct _seaiostruct *next;
} Seaio_Struct, *pSeaio_Struct;

typedef struct _seaiowriteportstruct {
	unsigned char portOffset;
	unsigned char dataByte;
} Seaio_WritePortStruct, *pSeaio_WritePortStruct;

typedef struct _seaioreadportstruct {
	unsigned char portOffset;
	unsigned char *dataByte;
} Seaio_ReadPortStruct, *pSeaio_ReadPortStruct;

#endif
