/*
 *  Copyright (C) 2000, Sealevel Systems
 *   
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  The author may be contacted via email at dalew@sealevel.com.  This is 
 *  NOT a technical support address; contact your vendor for help installing
 *  and configuring the software.
 */
#ifndef __SEAIO_IOCTL_H__
#define __SEAIO_IOCTL_H__
#include "seaio_internal_struct.h"
#define SEAIO_IOC_MAGIC 0xED

/*
 * S means "Set" through a ptr
 * T means "Tell" directly with the argument value
 * G means "Get": reply by setting through a ptr
 * Q means "Query": response is on the return value
 * X means "eXchange": G and S atomically
 * H means "sHift": T and Q atomically
 */

#define SEAIO_IOCGDESCRIPTOR	_IOR(SEAIO_IOC_MAGIC, 1, Seaio_Device)
#define SEAIO_IOCSDESCRIPTOR	_IOW(SEAIO_IOC_MAGIC, 2, Seaio_Device)
#define SEAIO_IOCWRITEPORT		_IOW(SEAIO_IOC_MAGIC, 3, Seaio_WritePortStruct)
#define SEAIO_IOCREADPORT		_IOW(SEAIO_IOC_MAGIC, 4, Seaio_ReadPortStruct)
#define SEAIO_IOC_MAXNR 4
#endif
