/*
 *  Copyright (C) 2000, Sealevel Systems
 *   
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  The author may be contacted via email at dalew@sealevel.com.  This is 
 *  NOT a technical support address; contact your vendor for help installing
 *  and configuring the software.
 */
#include "seaiostruct.h"
#include "seaio_internal_struct.h"
#include "seaio_ioctl.h"
#include "seaio.h"
#define MIN(a,b) ((a)<(b))?(a):(b)

typedef enum tagPORT_TYPE {
	Input,
	Output,
	LoIn_HiOut,
	LoOut_HiIn, 
	No_Port_Here
} Port_Type;

typedef struct tag8255_PORT{
	int portnum;
	Port_Type porttype;
} c8255_Port, * p8255_Port;

typedef struct tag8255_STRUCT {
	c8255_Port input[MAXINPUTS];
	c8255_Port output[MAXOUTPUTS];
	int PortInCount;
	int PortOutCount;
} c8255_Struct, * p8255_Struct;

int Seaio_Error(int errornumber);
int hextodec(unsigned short hexnum);
int RelayToggle(int hDevice, unsigned char RelayNumber, unsigned char State);
void ClearSeaioDevice(pSeaio_Device device);
void Setup8001(int hDevice, pSeaio_Device device);
void Setup8255(int hDevice, pSeaio_Device device, int chipselect, p8255_Struct my8255);
void Clear8255Struct(p8255_Struct my8255);
int Toggle8255Relay(int hDevice, unsigned char RelayNumber, unsigned char State);

